<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/company';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Компании'),
                    path: 'shop/company',
                },
            ],
            model: model,
            http: {
                path: 'shop/company/:id',
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
